CacheDirectiveInfo (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: CacheDirectiveInfo

Package org.apache.hadoop.hdfs.protocol

# Class CacheDirectiveInfo

java.lang.Object
org.apache.hadoop.hdfs.protocol.CacheDirectiveInfo

@Evolving @Public public class CacheDirectiveInfo extends Object
Describes a path-based cache directive.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `org.apache.hadoop.hdfs.protocol.CacheDirectiveInfo.Builder`
  A builder for creating new CacheDirectiveInfo instances.
  `static class`
  `org.apache.hadoop.hdfs.protocol.CacheDirectiveInfo.Expiration`
  Denotes a relative or absolute expiration time for a CacheDirective.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `org.apache.hadoop.hdfs.protocol.CacheDirectiveInfo.Expiration`
  `getExpiration()`
  `Long`
  `getId()`
  `Path`
  `getPath()`
  `String`
  `getPool()`
  `Short`
  `getReplication()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getId

    public Long getId()
    Returns:
      The ID of this directive.

  - ### getPath

    public Path getPath()
    Returns:
      The path used in this request.

  - ### getReplication

    public Short getReplication()
    Returns:
      The number of times the block should be cached.

  - ### getPool

    public String getPool()
    Returns:
      The pool used in this request.

  - ### getExpiration

    public org.apache.hadoop.hdfs.protocol.CacheDirectiveInfo.Expiration getExpiration()
    Returns:
      When this directive expires.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`